Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezclusterfilehandlerinterface.php
Go to the documentation of this file.
1 <?php
15 interface eZClusterFileHandlerInterface
16 {
28 public function fileStore( $filePath, $scope = false, $delete = false, $datatype = false );
29
41 public function fileStoreContents( $filePath, $contents, $scope = false, $datatype = false );
42
52 public function storeContents( $contents, $scope = false, $datatype = false, $storeLocally = false );
53
61 public function fileFetch( $filePath );
62
129 public function processCache( $retrieveCallback, $generateCallback = null, $ttl = null, $expiry = null, $extraData = null );
130
144 public static function isFileExpired( $fname, $mtime, $expiry, $curtime, $ttl );
145
154 public function isExpired( $expiry, $curtime, $ttl );
155
163 public function isLocalFileExpired( $expiry, $curtime, $ttl );
164
172 public function isDBFileExpired( $expiry, $curtime, $ttl );
173
188 public function processFile( $callback, $expiry = false, $extraData = null );
189
195 public function fetchUnique();
196
201 function fetch( $noLocalCache = false );
202
208 public function fileFetchContents( $filePath );
209
214 public function fetchContents();
215
222 public function loadMetaData( $force = false );
223
227 public function stat();
228
233 public function size();
234
239 public function mtime();
240
245 public function dataType();
246
251 public function name();
252
256 public function fileDeleteByWildcard( $wildcard );
257
258 public function fileDeleteByDirList( $dirList, $commonPath, $commonSuffix );
259
265 public function fileDelete( $path, $fnamePart = false );
266
272 public function delete();
273
277 public function fileDeleteLocal( $path );
278
282 public function deleteLocal();
283
287 public function purge( $printCallback = false, $microsleep = false, $max = false, $expiry = false );
288
294 public function fileExists( $path );
295
304 public function exists();
305
312 public function passthrough();
313
317 public function fileCopy( $srcPath, $dstPath );
318
322 public function fileLinkCopy( $srcPath, $dstPath, $symLink );
323
327 public function fileMove( $srcPath, $dstPath );
328
333 public function move( $dstPath );
334
344 public function getFileList( $scopes = false, $excludeScopes = false );
345
360 public function storeCache( $fileData );
361
370 public function startCacheGeneration();
371
375 public function endCacheGeneration( $rename = true );
376
383 public function abortCacheGeneration();
384
390 public function checkCacheGenerationTimeout();
391
401 public function requiresClusterizing();
402
410 public function requiresPurge();
411
416 public function hasStaleCacheSupport();
417
423 public function applyServerUri( $filePath );
424 }
425 ?>
$contents
$contents
Definition: ezarticle/user/extendedsearch.php:52
$filePath
$filePath
Definition: ezfilemanager/user/filedownload.php:50
eZClusterFileHandlerInterface
Definition: ezclusterfilehandlerinterface.php:16
eZClusterFileHandlerInterface\abortCacheGeneration
abortCacheGeneration()
eZClusterFileHandlerInterface\checkCacheGenerationTimeout
checkCacheGenerationTimeout()
eZClusterFileHandlerInterface\fileDelete
fileDelete( $path, $fnamePart=false)
eZClusterFileHandlerInterface\fileLinkCopy
fileLinkCopy( $srcPath, $dstPath, $symLink)
eZClusterFileHandlerInterface\fileDeleteByDirList
fileDeleteByDirList( $dirList, $commonPath, $commonSuffix)
eZClusterFileHandlerInterface\requiresPurge
requiresPurge()
eZClusterFileHandlerInterface\fetchUnique
fetchUnique()
eZClusterFileHandlerInterface\fetch
fetch( $noLocalCache=false)
eZClusterFileHandlerInterface\isFileExpired
static isFileExpired( $fname, $mtime, $expiry, $curtime, $ttl)
eZClusterFileHandlerInterface\storeContents
storeContents( $contents, $scope=false, $datatype=false, $storeLocally=false)
eZClusterFileHandlerInterface\mtime
mtime()
eZClusterFileHandlerInterface\fileFetch
fileFetch( $filePath)
eZClusterFileHandlerInterface\dataType
dataType()
eZClusterFileHandlerInterface\stat
stat()
eZClusterFileHandlerInterface\hasStaleCacheSupport
hasStaleCacheSupport()
eZClusterFileHandlerInterface\move
move( $dstPath)
eZClusterFileHandlerInterface\fileFetchContents
fileFetchContents( $filePath)
eZClusterFileHandlerInterface\requiresClusterizing
requiresClusterizing()
eZClusterFileHandlerInterface\fileCopy
fileCopy( $srcPath, $dstPath)
eZClusterFileHandlerInterface\processFile
processFile( $callback, $expiry=false, $extraData=null)
eZClusterFileHandlerInterface\getFileList
getFileList( $scopes=false, $excludeScopes=false)
eZClusterFileHandlerInterface\purge
purge( $printCallback=false, $microsleep=false, $max=false, $expiry=false)
eZClusterFileHandlerInterface\exists
exists()
eZClusterFileHandlerInterface\isExpired
isExpired( $expiry, $curtime, $ttl)
eZClusterFileHandlerInterface\isLocalFileExpired
isLocalFileExpired( $expiry, $curtime, $ttl)
eZClusterFileHandlerInterface\endCacheGeneration
endCacheGeneration( $rename=true)
eZClusterFileHandlerInterface\processCache
processCache( $retrieveCallback, $generateCallback=null, $ttl=null, $expiry=null, $extraData=null)
eZClusterFileHandlerInterface\loadMetaData
loadMetaData( $force=false)
eZClusterFileHandlerInterface\fetchContents
fetchContents()
eZClusterFileHandlerInterface\isDBFileExpired
isDBFileExpired( $expiry, $curtime, $ttl)
eZClusterFileHandlerInterface\fileMove
fileMove( $srcPath, $dstPath)
eZClusterFileHandlerInterface\storeCache
storeCache( $fileData)
eZClusterFileHandlerInterface\fileExists
fileExists( $path)
eZClusterFileHandlerInterface\fileDeleteLocal
fileDeleteLocal( $path)
eZClusterFileHandlerInterface\size
size()
eZClusterFileHandlerInterface\deleteLocal
deleteLocal()
eZClusterFileHandlerInterface\name
name()
eZClusterFileHandlerInterface\fileStoreContents
fileStoreContents( $filePath, $contents, $scope=false, $datatype=false)
eZClusterFileHandlerInterface\fileDeleteByWildcard
fileDeleteByWildcard( $wildcard)
eZClusterFileHandlerInterface\fileStore
fileStore( $filePath, $scope=false, $delete=false, $datatype=false)
eZClusterFileHandlerInterface\passthrough
passthrough()
eZClusterFileHandlerInterface\startCacheGeneration
startCacheGeneration()
eZClusterFileHandlerInterface\applyServerUri
applyServerUri( $filePath)
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.